MOUNT_HPFS(8)

NAME
mount_hpfs - mount an HPFS file system

SYNOPSIS
mount_hpfs [-o options] [-u uid] [-g gid] [-m mask] special node

DESCRIPTION
The mount_hpfs command attaches the HPFS filesystem residing on the device special to the global filesystem namespace at the location indicated by node. This command is normally executed by mount(8) at boot time, but can be used by any user to mount an HPFS file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

The options are as follows:

-u uid
    Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.

-g gid
    Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.

-m mask
    Specify the maximum file permissions for files in the file system.

EXAMPLES
To mount an hpfs volume located in /dev/wd1s1:

    # mount_hpfs /dev/wd1s1 /mnt

WRITING
There is limited writing ability and it is not well-tested. It is strongly recomended to mount readonly!

SEE ALSO
mount(2), unmount(2), fstab(5), mount(8)

HISTORY
The mount_hpfs first appered in FreeBSD 3.0

AUTHOR
HPFS kernel implementation, mount_hpfs and manual were written by Semen Ustimenko <semenu@FreeBSD.org>.